<bugID>904003<Summary>[Session Restore] Move session saving code into its own module</Summary><Description>We should move saveState(), saveStateDelayed(), saveStateObject() and all their logic into its own module.</Description></bugID>